Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.dlm
Class HandlerUtils

    java.lang.Object
      org.jasig.portal.layout.dlm.HandlerUtils

    public class HandlerUtils

extends java.lang.Object

Utility functions for applying user changes to the user's plf prior to persisting.

Since:
  uPortal 2.5
Version:
  $Revision: 1.7.2.1 $Date: 2005/09/13 18:31:52 $

Field Summary
`static java.lang.String` | `RCS_ID`

Constructor Summary
`HandlerUtils()`

Method Summary
`private static org.w3c.dom.Element` | `createILFCopy(org.w3c.dom.Element compViewNode, org.w3c.dom.Element compViewParent, boolean includeChildNodes, org.w3c.dom.Document plf, org.w3c.dom.Element plfParent, IPerson person)` Creates a copy of an ilf node in the plf and sets up necessary storage attributes.
`(package private) static org.w3c.dom.Element` | `createOrMovePLFOwnedNode(org.w3c.dom.Element compViewNode, org.w3c.dom.Element compViewParent, boolean createIfNotFound, boolean createChildNodes, org.w3c.dom.Document plf, org.w3c.dom.Element plfParent, IPerson person)` Creates or moves the plf copy of a node in the composite view and inserting it before its next highest sibling so that if dlm is not used then the model ends up exactly like the original non-dlm persistance version.
`static org.w3c.dom.Element` | `createPlfNodeAndPath(org.w3c.dom.Element compViewNode, boolean includeChildNodes, IPerson person)` Creates a copy of the passed in ILF node in the PLF if not already there as well as creating any ancestor nodes along the path from this node up to the layout root if they are not there.
`static org.w3c.dom.Element` | `getPLFNode(org.w3c.dom.Element compViewNode, IPerson person, boolean create, boolean includeChildNodes)` This method returns the PLF version of the passed in compViewNode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

See Also:
  Constant Field Values

Constructor Detail

### HandlerUtils

    public HandlerUtils()

Method Detail

### getPLFNode

    public static org.w3c.dom.Element getPLFNode(org.w3c.dom.Element compViewNode,
                                                 IPerson person,
                                                 boolean create,
                                                 boolean includeChildNodes)
                                          throws PortalException

  This method returns the PLF version of the passed in compViewNode. If create is false and a node with the same id is not found in the PLF then null is returned. If the create is true then an attempt is made to create the node along with any necessary ancestor nodes needed to represent the path along the tree.

  Throws:
    `PortalException`

### createPlfNodeAndPath

    public static org.w3c.dom.Element createPlfNodeAndPath(org.w3c.dom.Element compViewNode,
                                                           boolean includeChildNodes,
                                                           IPerson person)
                                                    throws PortalException

  Creates a copy of the passed in ILF node in the PLF if not already there as well as creating any ancestor nodes along the path from this node up to the layout root if they are not there.

  Throws:
    `PortalException`

### createILFCopy

    private static org.w3c.dom.Element createILFCopy(org.w3c.dom.Element compViewNode,
                                                     org.w3c.dom.Element compViewParent,
                                                     boolean includeChildNodes,
                                                     org.w3c.dom.Document plf,
                                                     org.w3c.dom.Element plfParent,
                                                     IPerson person)
                                              throws PortalException

  Creates a copy of an ilf node in the plf and sets up necessary storage attributes.

  Throws:
    `PortalException`

### createOrMovePLFOwnedNode

    static org.w3c.dom.Element createOrMovePLFOwnedNode(org.w3c.dom.Element compViewNode,
                                                        org.w3c.dom.Element compViewParent,
                                                        boolean createIfNotFound,
                                                        boolean createChildNodes,
                                                        org.w3c.dom.Document plf,
                                                        org.w3c.dom.Element plfParent,
                                                        IPerson person)
                                                 throws PortalException

  Creates or moves the plf copy of a node in the composite view and inserting it before its next highest sibling so that if dlm is not used then the model ends up exactly like the original non-dlm persistance version. The position set is also updated and if no ilf copy nodes are found in the sibling list the set is cleared if it exists.

  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD